Retrieves the item with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_info_field
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_info_id

Foreign key to db_info (chapters)

globally unique identifier

Optionally required : db_info_id,db_info_code or node db_info must be provided

db_info_code

Embedded entity "db_info" using ERP PK when adding/updating db_info_field

string

Optionally required : db_info_id ,db_info_code or node db_info must be provided

db_info

Embedded entity "db_info" (chapter) when adding/updating db_info_field

db_info

Optionally required : db_info_id,db_info_code or node db_info must be provided

db_input_type_id

Type of the fied (like Textbox,TextArea)

globally unique identifier

Optionally required : db_input_type_id or db_input_type_code must be provided

db_input_type_code

Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number

string

Optionally required : db_input_type_id or db_input_type_code must be provided

name

Name/Code of the info field.Field used for Embedded entity (store there your ERP PK)

string

Required

Max length: 50

title

Title that will be shown on the UI of the info field

string

Required

Max length: 50

sequence

Sorting field (0 first), to order them inside the chapter

integer
description

Description of the field

string

Max length: 255

is_mandatory

Force user to fill it before saving

boolean
is_readonly

Avoid user to edit the value using the UI

boolean
hide_in_view_if_empty

Hide this field in view mode if no value

boolean
udf_name

Name of udf column that links to info field (read-only)

string
visible_on_app

Visible this field on app

boolean
archived

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "13b4b968-d6a5-4c1e-8698-f54fd46993af",
  "db_info_id": "7dbbc5e5-11b8-44e5-a946-b65f069e48fb",
  "db_info_code": "sample string 3",
  "db_info": {
    "id": "6dc32e9a-546c-4603-9e29-8fc752bb6b65",
    "name": "sample string 2",
    "code": "sample string 3",
    "sequence": 4,
    "db_info_category_id": "cf9bcd51-bb8c-4167-b79f-94d20363c1f8",
    "db_info_category_code": "sample string 6",
    "parent_id": "47adc11a-fce2-48cf-86a2-829372002127",
    "parent_db_info_code": "sample string 8",
    "modified_dateutc": "2026-11-01T23:16:56.3860633+00:00"
  },
  "db_input_type_id": "2a25aa45-35da-418d-88fc-5b7906958cfa",
  "db_input_type_code": "sample string 5",
  "name": "sample string 6",
  "title": "sample string 7",
  "sequence": 8,
  "description": "sample string 9",
  "is_mandatory": true,
  "is_readonly": true,
  "hide_in_view_if_empty": true,
  "udf_name": "sample string 13",
  "visible_on_app": true,
  "archived": true
}